#
# spec file for package libnids (Version 1.17rc1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libnet libpcap
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libnet libpcap libtool perl rpm

Name:         libnids
Summary:      A Network Intrusion Detection System library
Version:      1.17rc1
Release:      50
License:      GPL
Group:        System/Libraries
URL:          http://www.packetfactory.net/Projects/libnids/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch2:       %{name}-%{version}-multiline-string-fix.diff
Patch3:       %{name}-%{version}-memory-corruption-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component. It
means that libnids code watches all local network traffic, cooks
received datagrams a bit, and provides convenient information on them
to analyzing modules of NIDS. Libnids performs:

a) assembly of TCP segments into TCP streams

b) IP defragmentation

c) TCP port scan detection

More technical info can be found in MISC file.	So, if you intend to
develop a custom NIDS, you don't have to build low-level network code.
If you decide to use libnids, you have got E-component ready - you can
focus on implementing other parts of NIDS.



Authors:
--------
    Noah Friedman <friedman@prep.ai.mit.edu>

%prep
%setup -n %{name}-1.17
%patch
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS"	./configure \
    --prefix=/usr \
    --mandir=%{_mandir} \
    --libdir=%{_libdir}
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES CREDITS MISC README doc/ samples/
%doc %{_mandir}/man3/*
%{_libdir}/libnids.a
/usr/include/nids.h

%changelog -n libnids
* Wed Oct 29 2003 - postadal@suse.cz
- fixed buffer overflow in TCP stream reassembly code [#32541] (CAN-2003-0850)
* Tue Jul 29 2003 - postadal@suse.cz
- update to version 1.17rc1
  * added support for libpcap save files
  * support for 802.1Q VLAN
  * support for wireless frames (DLT_IEEE802_11)
* Mon Nov 11 2002 - postadal@suse.cz
- fixed deprecated multiline string literals
* Wed Jan 09 2002 - cihlar@suse.cz
- use %%{_libdir}
* Wed Feb 14 2001 - cihlar@suse.cz
- update to version 1.16
- added samples to documentation
- clean up spec file
* Thu Nov 16 2000 - grimmer@suse.de
- initial package (version 1.14)
